import type { ExtractPropTypes } from 'vue';
import type Barcode from './barcode.vue';
export type barcodeFormat = 'CODE39' | 'CODE128' | 'CODE128A' | 'CODE128B' | 'CODE128C' | 'EAN13' | 'EAN8' | 'UPC' | 'ITF14' | 'codabar' | 'codabar' | 'codabar' | 'ITF' | 'CODE93';
export declare const barcodeProps: {
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly format: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<barcodeFormat>, unknown, unknown, "CODE128", boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 2, boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
    readonly displayValue: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly textAlign: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"left" | "right" | "center">, unknown, unknown, "center", boolean>;
    readonly textPosition: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<"top" | "bottom">, unknown, unknown, "bottom", boolean>;
    readonly textMargin: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 2, boolean>;
    readonly fontSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 20, boolean>;
    readonly background: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#ffffff", boolean>;
    readonly lineColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#000000", boolean>;
    readonly margin: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 10, boolean>;
};
export type BarcodeProps = ExtractPropTypes<typeof barcodeProps>;
export type BarcodeInstance = InstanceType<typeof Barcode>;
